Bug 74665 - didn't work with console on /dev/ttyS0 (server)
Summary: didn't work with console on /dev/ttyS0 (server)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-30 10:05 UTC by Need Real Name
Modified: 2014-03-17 02:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-28 00:14:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-09-30 10:05:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.8 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
kudzu didn't work on /dev/ttyS0 (console):

Updating /etc/fstab [  OK  ]
Checking for new hardware?[1;24r?[4l?[?25l?[?1c?[0;10m?[37m?[40m?[1;24r?[H?[J?[1
;1H?[1m?[37m?[44m?[K
                    ?[K
                       ?[K
                          ?[K
                             ?[K
                                ?[K
                                   ?[K
                                      ?[K
                                         ?[K
                                            ?[K
                                               ?[K
                                                  ?[K
                                                     ?[K
                                                        ?[K
                                                           ?[K
                                                              ?[K
                                                                 ?[K
                                                                    ?[K
                                                                       ?[K
                                                                          ?[K
                                                                             ?[K
                                                                               
?
[K
  ?[K
     ?[K?[1;1H?[33mHardware Discovery Utility 0.99.23                     (C)
200
1 Red Hat, Inc.?[6;10H?[0;10m?[11m?[30m?[47m??????????????????????
?[0;10m?[10m?[
31m?[47mWelcome to Kudzu ?[11m?[30m?[47m???????????????????????[7;10H?           
                                                 ??[0;10m?[10m?[1m?[37m?[40m
?[8;
10H?[0;10m?[11m?[30m?[47m? ?[0;10m?[10m?[30m?[47mWelcome to Kudzu, the Red Hat
Li
nux hardware detection     ?[11m?[30m?[47m??[0;10m?[10m?[1m?[37m?[40m
?[9;10H?[0;
10m?[11m?[30m?[47m? ?[0;10m?[10m?[30m?[47mand configuration tool.                
                    ?[11m?[30m?[47m??[0;10m?[10m?[1m?[37m?[40m
?[10;10H?[0;10m?[1
1m?[30m?[47m?                                                           
??[0;10m
?[10m?[1m?[37m?[40m ?[11;10H?[0;10m?[11m?[30m?[47m? ?[0;10m?[10m?[30m?[47mOn the 
following screens you will be able to configure    
?[11m?[30m?[47m??[0;10m?[10m?
[1m?[37m?[40m ?[12;10H?[0;10m?[11m?[30m?[47m? ?[0;10m?[10m?[30m?[47many new or
re
moved hardware for your computer.            
?[11m?[30m?[47m??[0;10m?[10m?[1m?[3
7m?[40m ?[13;10H?[0;10m?[11m?[30m?[47m?                                          
                  ??[0;10m?[10m?[1m?[37m?[40m ?[14;10H?[0;10m?[11m?[30m?[47m?    


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.% slsazd root /etc 2 } c lilo.conf
prompt
timeout=50
default=linux
boot=/dev/ida/c0d0
map=/boot/map
install=/boot/boot.b
message=/boot/message
serial=0,9600n8
linear

image=/boot/vmlinuz-2.4.7-10smp
        label=linux
        initrd=/boot/initrd-2.4.7-10smp.img
        read-only
        root=/dev/ida/c0d0p1
        append="console=ttyS0,9600"

image=/boot/vmlinuz-2.4.7-10
        label=linux-up
        initrd=/boot/initrd-2.4.7-10.img
        read-only
        root=/dev/ida/c0d0p1
        append="console=ttyS0,9600"
1 a) run lilo
2. connect a VT100 (or terminalswitch or kermit or ...)
3. reboot
	

Actual Results:  see description

Additional info:

Comment 1 Bill Nottingham 2002-10-01 03:02:10 UTC
What does $TERM get set to in this case?


Comment 2 kumarnz 2003-01-17 22:02:34 UTC
Possibly related: 

Kudzu won't detect an external (serial) modem on /dev/ttyS0 if the  modem is
switched on prior to starting kudzu. 

If, however, the modem is switched on while kudzu is running, it will be
detected and configured.

Curiously devices on /dev/ttyS1 are not detected at all.

Comment 3 Bill Nottingham 2003-02-28 00:14:54 UTC
Fixed, will be in 1.0.1-1 or later.


Note You need to log in before you can comment on or make changes to this bug.